phing-types

# Class: Parameter Source Location: /types/Parameter.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --Parameter
A parameter is composed of a name, type and value. Nested Parameters are also possible, but the using task/type has to support them #### Author(s): <href="mailto:yl@seasonfive.com" a href="mailto:yl@seasonfive.com">Yannick Lecaillez</a> Manuel Holtgrewe #### Version: $Revision: 526 $ | ### Variables $name $parameters $type $value | ### Methods createParam getName getParams getType getValue setListeningValue setName setType setValue
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 33] A parameter is composed of a name, type and value. Nested Parameters are also possible, but the using task/type has to support them #### Tags:
author: | <href="mailto:yl@seasonfive.com" a href="mailto:yl@seasonfive.com">Yannick Lecaillez</a>
author: | Manuel Holtgrewe
version: | $Revision: 526 $
[ Top ] ### Class Variables #### $name = [line 36] Parameter name #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $parameters = array() [line 45] Nested parameters #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $type = [line 39] Paramter type #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $value = [line 42] Parameter value #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method createParam [line 86]
`Parameter createParam( )`
[ Top ] ### method getName [line 67]
`void getName( )`
[ Top ] ### method getParams [line 94]
`array getParams( )`
#### Tags:
return: | Nested parameters.
[ Top ] ### method getType [line 71]
`void getType( )`
[ Top ] ### method getValue [line 75]
`void getValue( )`
[ Top ] ### method setListeningValue [line 59]
`void setListeningValue( $value)`
Sets value to dynamic register slot. #### Tags:
access: | public
#### Parameters:
RegisterSlot | $value |
[ Top ] ### method setName [line 47]
`void setName( $name)`
#### Parameters:
| $name |
[ Top ] ### method setType [line 51]
`void setType( $type)`
#### Parameters:
| $type |
[ Top ] ### method setValue [line 63]
`void setValue( $value)`
#### Parameters:
| $value |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:21 +0200 by phpDocumentor 1.4.3